#include "cpluslib/assert.h"

#include <iostream>
#include <csignal>

/** Assertion Failure. Show message on stdout and raise SIGSEGV.
    Raising a signal can be caught better in the debugger/tracer. */
int assertionFailed(const char* what, const char* file, int line)
{
    std::cerr << file << ":" << line << ": INTERNAL ERROR: "
              << what << std::endl << std::flush;
    std::raise(SIGSEGV);
    return 0;
}
